# molecule

Custom image for Molecule Ansible test automation

[![Build Status](https://img.shields.io/drone/build/docker/molecule?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/molecule)
[![Docker Hub](https://img.shields.io/badge/dockerhub-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/thegeeklab/molecule)
[![Quay.io](https://img.shields.io/badge/quay-latest-blue.svg?logo=docker&logoColor=white)](https://quay.io/repository/thegeeklab/molecule)
[![Source: Gitea](https://img.shields.io/badge/source-gitea-blue.svg?logo=gitea&logoColor=white)](https://gitea.rknet.org/docker/molecule)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/molecule/src/branch/main/LICENSE)

Custom Docker image to automate Ansible deployment tests with [Molecule](https://molecule.readthedocs.io/en/latest/).

## Environment variables

```Shell
# Target directory to clone custom modules
MOLECULE_LIBRARY_DIR=$(pwd)/library

# If you use custom modules you can specify a git repo containing these files.
# The repo will be cloned so ansible can use it.
MOLECULE_CUSTOM_MODULES_REPO=

# Target base directory to clone plugins
MOLECULE_PLUGINS_DIR=$(pwd)/plugins

# If you have custom filters you can specify a git repo containing these files.
# Will be cloned to $MOLECULE_PLUGINS_DIR/filter
MOLECULE_CUSTOM_FILTERS_REPO=

# If the variable is set, the value is written to `ANSIBLE_VAULT_PASSWORD_FILE=/root/.vaultpasswd
and automatically passed to molecule.
MOLECULE_ANSIBLE_VAULT_PASSWORD=my_secret
```

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/molecule/src/branch/main/LICENSE) file for details.
